﻿namespace FL
{
    public enum EventDefine : int
    {
        None = 0,

        #region GameMainMap 1000 - 1999
        /// <summary>
        /// 加载主角、随从、怪物等
        /// </summary>
        GameMainMapLoadEntities = 1000,
        /// <summary>
        /// 移除主角、随从、怪物
        /// </summary>
        GameMainMapRemoveEntity,
        /// <summary>
        /// 移除子弹、陷阱、召唤物等实例对象
        /// </summary>
        GameMainMapRemoveView,
        /// <summary>
        /// 血量变化
        /// </summary>
        GameMainMapHpAdd,
        /// <summary>
        /// 开启地图黑色遮罩
        /// </summary>
        GameMainMapStartMask,
        /// <summary>
        /// 地图黑色遮罩结束通知
        /// </summary>
        GameMainMapEndMask,
        /// <summary>
        /// 创建子弹实例
        /// </summary>
        GameMainMapGenBullet,
        /// <summary>
        /// 创建陷阱实例
        /// </summary>
        GameMainMapGenCommons,
        /// <summary>
        /// 更换随从
        /// </summary>
        GameMainMapExchangePartner,
        #endregion
        #region Battle.Component 2000 - 2999
        /// <summary>
        /// 播放世界特效
        /// </summary>
        VfxComponentWorldVfx = 2000,
        #endregion
    }
}
