﻿using FL.Battle.Components;
using UnityEngine;

namespace FL.Battle
{
    /// <summary>
    /// 可选择的目标
    /// </summary>
    public interface ITarget
    {
        IEntity Entity { get; }
        bool IsMoving { get; }
        HpComponent Hp { get; }
        Vector3 Position { get; }
        public Transform UIPoint { get; }
    }
}
